#==============================================================================
#                             planettest.tcl
#------------------------------------------------------------------------------
# A port of SIPP demo program planettest.c to Tcl-SIPP.
#------------------------------------------------------------------------------
# $Id: planettest.tcl,v 2.0 1992/11/02 03:55:30 markd Rel $
#------------------------------------------------------------------------------

source util.tcl
ParseArgs 3


set SUBDIVS 50

set shader [SippShaderPlanet 0.4 0.0 0.5]

SippLightSourceCreate {1.0 1.0 1.0} {1.0 1.0 1.0} DIRECTION

SippObjectAddSubobj WORLD [SippSphere 1.0 $SUBDIVS $shader WORLD]
SippObjectRotateZ WORLD -1.2
SippObjectRotateX WORLD  0.2

SippCameraParams STDCAMERA {0.0 2.0 0.0} {0.0 0.0 0.0} {0.0 0.0 1.0} 0.75

DoRendering "planet"
