#==============================================================================
#                                woodtest.tcl
#------------------------------------------------------------------------------
# A port of SIPP demo program woodtest.c to Tcl-SIPP.
#------------------------------------------------------------------------------
# $Id: woodtest.tcl,v 2.0 1992/11/02 03:55:27 markd Rel $
#------------------------------------------------------------------------------

source util.tcl
ParseArgs 3

set wood_surf [SippShaderWood 0.5 0.0 0.99 10.0 {0.770 0.568 0.405} \
                              {0.468 0.296 0.156} {1.0 1.0 1.0}]

SippLightSourceCreate {1.0 1.0 1.0} {0.9 0.9 0.9} DIRECTION

SippObjectAddSubobj WORLD [SippBlock {4.0 3.0 3.0} $wood_surf WORLD]

SippCameraParams STDCAMERA {10.0 10.0 20.0} {0.0 0.0 0.0} {0.0 1.0 0.0} 0.125

DoRendering "wood"
